import { QRCodeElementType } from './types';
import { InjectionToken } from '@angular/core';
import { QRCodeErrorCorrectionLevel, QRCodeVersion } from 'dfts-qrcode';
export declare const QRCODE_ALLOW_EMPTY_STRING: InjectionToken<boolean>;
export declare const QRCODE_COLOR_DARK: InjectionToken<`#${string}`>;
export declare const QRCODE_COLOR_LIGHT: InjectionToken<`#${string}`>;
export declare const QRCODE_CSS_CLASS: InjectionToken<string>;
export declare const QRCODE_ELEMENT_TYPE: InjectionToken<QRCodeElementType>;
export declare const QRCODE_ERROR_CORRECTION_LEVEL: InjectionToken<QRCodeErrorCorrectionLevel>;
export declare const QRCODE_MARGIN: InjectionToken<number>;
export declare const QRCODE_IMAGE_SRC: InjectionToken<string | undefined>;
export declare const QRCODE_IMAGE_HEIGHT: InjectionToken<number>;
export declare const QRCODE_IMAGE_WIDTH: InjectionToken<number>;
export declare const QRCODE_VERSION: InjectionToken<QRCodeVersion>;
export declare const QRCODE_SIZE: InjectionToken<number>;
